<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
                      http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-4.9.xsd">

  <changeSet id="0001" author="r.gaztdinov">
    <preConditions onFail="MARK_RAN">
      <not>
        <columnExists tableName="citizen" columnName="has_criminal_liability_fz53"/>
      </not>
    </preConditions>

    <addColumn tableName="citizen">
      <column name="has_criminal_liability_fz53" type="boolean" defaultValueBoolean="false" remarks="Признак наличия уголовной ответственности в связи с нарушением ФЗ-53">
        <constraints nullable="false"/>
      </column>
    </addColumn>

    <rollback>
      <dropColumn tableName="citizen" columnName="has_criminal_liability_fz53"/>
    </rollback>
  </changeSet>

  <changeSet id="0002" author="r.gaztdinov">
    <preConditions onFail="MARK_RAN">
      <not>
        <columnExists tableName="citizen" columnName="has_liability_fz53"/>
      </not>
    </preConditions>

    <addColumn tableName="citizen">
      <column name="has_liability_fz53" type="boolean" defaultValueBoolean="false" remarks="Признак наличия административной ответственности в связи с нарушением ФЗ-53">
        <constraints nullable="false"/>
      </column>
    </addColumn>

    <rollback>
      <dropColumn tableName="citizen" columnName="has_liability_fz53"/>
    </rollback>
  </changeSet>

  <changeSet id="0003" author="r.gaztdinov">
    <preConditions onFail="MARK_RAN">
      <not>
        <columnExists tableName="citizen" columnName="has_appealing_violations_fz53"/>
      </not>
    </preConditions>

    <addColumn tableName="citizen">
      <column name="has_appealing_violations_fz53" type="boolean" defaultValueBoolean="false" remarks="Признак наличия обжалований по нарушениям ФЗ-53">
        <constraints nullable="false"/>
      </column>
    </addColumn>

    <rollback>
      <dropColumn tableName="citizen" columnName="has_appealing_violations_fz53"/>
    </rollback>
  </changeSet>
</databaseChangeLog>
